Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 724708 - [PMASKED] for removal, media-plugins/vdr-mount calls g++ directly
Summary: [PMASKED] for removal, media-plugins/vdr-mount calls g++ directly
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo VDR Project
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks: tc-directly
  Show dependency tree
 
Reported: 2020-05-23 13:16 UTC by Agostino Sarubbo
Modified: 2021-03-11 18:01 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,9.87 KB, text/plain)
2020-05-23 13:16 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-05-23 13:16:01 UTC
This is an auto-filed bug because media-plugins/vdr-mount calls g++ directly.
The issue was originally discovered on amd64, but it may be reproducible on other arches as well.
If you think that a different summary clarifies the issue better, feel free to change it.
Attached build log and emerge --info.

NOTE:
If you think it doesn't make sense fix these type of issues, I'd like to point out that won't be possible use a different CXX implementation (like clang++) by setting the CXX variable. So this issue has been reproduced by setting the CXX variable to x86_64-pc-linux-gnu-g++ and by removing the /usr/bin/g++ - /usr/bin/c++ binaries.
Comment 1 Agostino Sarubbo gentoo-dev 2020-05-23 13:16:07 UTC
Created attachment 641084 [details]
build.log

build log and emerge --info
Comment 2 Joerg Bornkessel gentoo-dev 2021-02-12 14:46:13 UTC
# Last release in 2006. Upstream repository is gone.
# Hompage shows only to a wiki entry.
# Has open bugs.
# If you still relies on this plugin, leave a comment in  
# the depended bug.
# Removal on 2021-03-12.
Comment 3 Larry the Git Cow gentoo-dev 2021-03-11 18:01:50 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9c5f0d975b6f8ad9cb61d402a1614276515e0900

commit 9c5f0d975b6f8ad9cb61d402a1614276515e0900
Author:     Jakov Smolic <jakov.smolic@sartura.hr>
AuthorDate: 2021-03-11 08:22:20 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-03-11 18:00:54 +0000

    media-plugins/vdr-mount: Remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/724708
    
    Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr>
    Signed-off-by: Sam James <sam@gentoo.org>

 media-plugins/vdr-mount/Manifest                   |  1 -
 .../files/vdr-mount-0.0.2-makefile-fix.diff        | 58 ----------------------
 media-plugins/vdr-mount/metadata.xml               |  8 ---
 media-plugins/vdr-mount/vdr-mount-0.0.2.ebuild     | 28 -----------
 profiles/package.mask                              |  9 ----
 5 files changed, 104 deletions(-)